mfBNAMES <- function(image, names, num=TRUE){
# replace band names in envi header file with new ones

	# number of bands
	n <- length(names)

	# hdr name
	image <- gsub("\\.dat$", "", image)
	phdr  <- paste(image, ".hdr", sep="")

	# new band names with index numbers
	if (num == TRUE) names <- paste(formatC(1:n, width=nchar(n), flag=0), names)

	# read header
	hdr <- readLines(phdr)

	# remove current band names from header
	band.start <- grep("^band names", hdr)
	tag.end <- grep("}", hdr)
	band.end <- tag.end-band.start
	band.end <- tag.end[which(band.end >= 0)[which.min(band.end >= 0)]]
	if (length(band.start) != 0) hdr <- hdr[-(band.start:band.end)]

	# new band names
	hdr.new <- paste("band names = {", paste(names, collapse=",\n"), "}", sep="\n")

	# add new band names to header
	write(hdr,     file=phdr, append=FALSE)
	write(hdr.new, file=phdr, append=TRUE)

}

