mfENVIHDR <- function(image, ny, nx, nb, dt, bo, desc){
# this function writes an ENVI header
# file must be the full filepath of the respective binary image

rhdr <- textConnection("ENVI
description = {
  %&%DESCRIPTION%&%}
samples = %&%SAMPLES%&%
lines   = %&%LINES%&%
bands   = %&%BANDS%&%
header offset = 0
file type = ENVI Standard
data type = %&%DATATYPE%&%
interleave = %&%BANDORDER%&%
sensor type = Unknown
byte order = 0
wavelength units = Unknown")

	hdr <- readLines(rhdr)
	hdr <- gsub("%&%DESCRIPTION%&%", desc, hdr)
	hdr <- gsub("%&%SAMPLES%&%", nx, hdr)
	hdr <- gsub("%&%LINES%&%", ny, hdr)
	hdr <- gsub("%&%BANDS%&%", nb, hdr)
	hdr <- gsub("%&%DATATYPE%&%", dt, hdr)
	hdr <- gsub("%&%BANDORDER%&%", bo, hdr)

	image <- gsub("\\.dat$", "", image)
	write(hdr, file=paste(image, ".hdr", sep=""))

}

