\name{mfDOWNLOAD}
\alias{mfDOWNLOAD}
\title{
Download of MODIS data.
}
\description{
This function automatically downloads MODIS products.\cr
This function is called by the higher level routines, e.g. \code{\link{mfACTIVEFIRE}} and \code{\link{mfBURNEDAREA}}.
}
\usage{
mfDOWNLOAD(url, archive, t0 = NULL, t1 = NULL, h0 = NULL, h1 = NULL, 
                         v0 = NULL, v1 = NULL, natt = NULL, tatt = NULL)
}
\arguments{
  \item{url}{
URL to the product in the MODIS Data Pool,
        e.g., "http://e4ftl01.cr.usgs.gov/MOLT/MOD14A1.005/".
}
  \item{archive}{
Directory for storing the downloaded data.
}
  \item{t0}{
(optional) First date to be downloaded, must be given in YYYYMMDD format.
}
  \item{t1}{
(optional) Last date to be downloaded, must be given in YYYYMMDD format.
}
  \item{h0}{
(optional) First horizontal tile to be considered.
}
  \item{h1}{
(optional) Last horizontal tile to be considered.
}
  \item{v0}{
(optional) First vertical tile to be considered.
}
  \item{v1}{
(optional) Last vertical tile to be considered.
}
  \item{natt}{
(optional) Number of attempts for server connections (default=10).
}
  \item{tatt}{
(optional) Halting time between failed server connections in seconds (default=60).
}
}
\details{
Specified products are automatically downloaded from the HTTP Data Pool of LP DAAC \href{https://lpdaac.usgs.gov/data_access/data_pool}{Data Pool} of the LP DAAC. Existing images won't be downloaded again. Note that the access situation may change at any time without notice, in which case the download functionality will be broken. Note that server maintenance is scheduled weekly, which will temporariliy disable the download functionality. Internet access is required.\cr\cr
The requested period of time may be specified with \code{t0} and \code{t1}. If \code{t0} and \code{t1} is not specified, all available data will be considered.\cr\cr
The requested spatial extent may be specified with \code{h0} and \code{h1}, and \code{v0} and \code{v1}. These numbers refer to the \href{http://modis-land.gsfc.nasa.gov/MODLAND_grid.html}{Sinusoidal Tile Grid} used by the MODIS land products. If none of these parameters is specified, all available data will be considered, i.e. global coverage. Note that this will take considerable time.
}
\author{
David Frantz
}
\section{Acknowledgements}{
 MODIS products are retrieved from the Data Pool, courtesy of the NASA EOSDIS Land Processes Distributed Active Archive Center (LP DAAC), USGS/Earth Resources Observation and Science (EROS) Center, Sioux Falls, South Dakota, https://lpdaac.usgs.gov/data_access/data_pool.
}

