\name{mfENVIHDR}
\alias{mfENVIHDR}
\title{
Write ENVI header
}
\description{
This function writes a basic ENVI header.\cr
This function is called by the higher level routines, e.g. \code{\link{mfACTIVEFIRE}} and \    code{\link{mfBURNEDAREA}}.
}
\usage{
mfENVIHDR(image, ny, nx, nb, dt, bo, desc)
}
\arguments{
  \item{image}{
Filename of the corresponding image; with *.dat extension.
}
  \item{ny}{
Number of rows.
}
  \item{nx}{
Number of columns.
}
  \item{nb}{
Number of bands.
}
  \item{dt}{
ENVI datatype.
}
  \item{bo}{
Band Interleave. \code{bandorder} \%in\% c("bsq", "bil", "bip").
}
  \item{desc}{
Description string.
}
}
\details{
Make sure that the arguments match with the image properties.
}
\author{
David Frantz
}
\note{
In most cases, there shouldn't be a need to call this function.
}
